Policy enforcement functional tests - scripts

Shell scripts preparing dsvm environment for policy enforcement tests.
Tests require devstack with Congress installed.
Some original scripts where changed to reuse functionality.
Jenkins job https://review.openstack.org/#/c/150401/

Partially Implements blueprint congress-support-in-murano

Change-Id: Ib3c26168043f74d4e7ec76f3557f8857cf4304a4
This commit is contained in:
Filip Blaha 2015-01-30 15:45:51 +01:00
parent ba9f2d5619
commit 1e8113866d
8 changed files with 48 additions and 57 deletions

View File

@ -34,6 +34,7 @@ MURANO_CONF_DIR=${MURANO_CONF_DIR:-/etc/murano}
MURANO_CONF_FILE=${MURANO_CONF_DIR}/murano.conf
MURANO_POLICY_FILE=${MURANO_CONF_DIR}/policy.json
MURANO_DEBUG=${MURANO_DEBUG:-True}
MURANO_ENABLE_MODEL_POLICY_ENFORCEMENT=${MURANO_ENABLE_MODEL_POLICY_ENFORCEMENT:-False}
MURANO_SERVICE_HOST=${MURANO_SERVICE_HOST:-$SERVICE_HOST}
MURANO_SERVICE_PORT=${MURANO_SERVICE_PORT:-8082}

View File

@ -1,21 +1,15 @@
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
# This script is executed inside post_test_hook function in devstack gate.
cd /opt/stack/new/murano/functionaltests
sudo ./run_tests.sh
# Allow to execute other run_tests_*.sh script based on first parameter
RUN_TEST_SUFFIX=""
if [ "$#" -ge 1 ]; then
RUN_TEST_SUFFIX=_$1
fi
sudo ./run_tests$RUN_TEST_SUFFIX.sh
RETVAL=$?
# Copy tempest log files to be published among other logs upon job completion

View File

@ -1,22 +1,10 @@
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
# This script is executed inside pre_test_hook function in desvstack gate.
# Install Murano devstack integration
source ./pre_test_hook_common.sh
MURANO_BASE=/opt/stack/new/murano/contrib/devstack
DEVSTACK_BASE=/opt/stack/new/devstack
cp $MURANO_BASE/lib/* $DEVSTACK_BASE/lib
cp $MURANO_BASE/extras.d/* $DEVSTACK_BASE/extras.d

View File

@ -0,0 +1,3 @@
#!/bin/bash
DEVSTACK_BASE=/opt/stack/new/devstack

View File

@ -0,0 +1,8 @@
#!/bin/bash
# Install Congress devstack integration
source ./pre_test_hook_common.sh
CONGRESS_BASE=/opt/stack/new/congress/contrib/devstack
cp $CONGRESS_BASE/lib/* $DEVSTACK_BASE/lib
cp $CONGRESS_BASE/extras.d/* $DEVSTACK_BASE/extras.d

View File

@ -1,35 +1,5 @@
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
# How many seconds to wait for the API to be responding before giving up
API_RESPONDING_TIMEOUT=20
if ! timeout ${API_RESPONDING_TIMEOUT} sh -c "while ! curl -s http://127.0.0.1:8082/v1/ 2>/dev/null | grep -q 'Authentication required' ; do sleep 1; done"; then
echo "Murano API failed to respond within ${API_RESPONDING_TIMEOUT} seconds"
exit 1
fi
echo "Successfully contacted Murano API"
# Where tempest code lives
TEMPEST_DIR=${TEMPEST_DIR:-/opt/stack/new/tempest}
# Add tempest source tree to PYTHONPATH
export PYTHONPATH=$PYTHONPATH:$TEMPEST_DIR
#installing requirements for tempest
pip install -r $TEMPEST_DIR/requirements.txt
source ./run_tests_common.sh
nosetests -sv ../murano/tests/functional/api/v1 ../murano/tests/functional/cli/simple_read_only

View File

@ -0,0 +1,22 @@
#!/bin/bash
# Intended be sourced by other scripts
# How many seconds to wait for the API to be responding before giving up
API_RESPONDING_TIMEOUT=20
if ! timeout ${API_RESPONDING_TIMEOUT} sh -c "while ! curl -s http://127.0.0.1:8082/v1/ 2>/dev/null | grep -q 'Authentication required' ; do sleep 1; done"; then
echo "Murano API failed to respond within ${API_RESPONDING_TIMEOUT} seconds"
exit 1
fi
echo "Successfully contacted Murano API"
# Where tempest code lives
TEMPEST_DIR=${TEMPEST_DIR:-/opt/stack/new/tempest}
# Add tempest source tree to PYTHONPATH
export PYTHONPATH=$PYTHONPATH:$TEMPEST_DIR
#installing requirements for tempest
pip install -r $TEMPEST_DIR/requirements.txt

View File

@ -0,0 +1,5 @@
#!/bin/bash
source ./run_tests_common.sh
nosetests -sv ../murano/tests/functional/engine/test_policy_enf.py